Subject: [PCN] A draft consolidating different PCN proposals

From: "Anna Charny \(acharny\)" <[email-masked]>
Date: Thu, 26 Jul 2007 11:42:43 -0400

Hi all,

Following the discussion in the PCN WG meeting yesterday and as a result
of follow-up hallway discussions, the authors of various proposals seem
to have come up with a common language to describe all the different PCN
proposals and a preliminary view on their relative cons and pros.  I
have volunteered to produce a consolidated draft which will attempt to
discuss all current proposals in the same framework and take the first
cut on comparison criteria and how it is met by different approaches.  

We already have a number of comparison criteria loosely used in
discussions.  I am requesting feedback from the list with suggestions
for specific performance criteria suggestions. Those who have already
sent those to me privately may wish to resend them to the list. 

I am also requesting that the authors of each proposed mechanism send
their view of the cons and pros they see of their specific approach
(functional, deployment, performance, etc). Of course similar feedback
is also welcome from the entire list.

Thank you,
Anna 

_______________________________________________
PCN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pcn

---

From: Michael Menth <[email-masked]>
Date: Fri, 27 Jul 2007 21:50:31 +0200

Hi Anna,

these performance issues spontaneously came to my mind for performance 
evaluation of different PCN mechanisms.

1. How easy are the mechanisms to implement in core and at the edge?

2. How fast do meters and markers in the core react on increased traffic 
rate?

3. How fast do edge systems detect "pre-congestion with regard to 
supportable rate" when number of marked packets increases?

4. How fast can "pre-congestion with regard to supportable rate" be 
reduced? That includes metering/marking delay in the core and 
measurement delay at the edge, signaling, and time to choose appropriate 
flows.

5. How accurate do measurements need to be?

6. Question 5 has a direct impact on how long measurement intervals need 
to be which impacts the answers to the other
questions.

7. How can ECMP be supported? How easy is this?

8. How can probing be supported? How easy is this?

9. How large is over/underutilization?

10. How fast can admission control react to flash crowds?

11. How easy can the system be extended towards multiple prioritized 
PCN- and non-PCN classes?

12. How easy can preemption priorities be integrated?

13. How easy can the mechanisms be configured? How many parameters?

14. Are the parameters flexible enough to get optimum performance 
(whatever the goals are). Example:
http://www3.informatik.uni-wuerzburg.de/staff/menth/Publications/Menth07-PCN-Config.pdf

15. How many bits are required for packet marking?

16. Do mechanisms provide stable signals for 
admission-stop/admission-continue or are they flapping when operating 
near the admissible rate border?

17. Are there differences among the proposals with regard to flow fairness?

Probably more to come ...

Regards,

    Michael

-- 
Dr. Michael Menth, Assistant Professor
University of Wuerzburg, Institute of Computer Science
Am Hubland, D-97074 Wuerzburg, Germany, room B206
phone: (+49)-931/888-6644, fax: (+49)-931/888-6632
mailto:[email-masked]
http://www3.informatik.uni-wuerzburg.de/research/ngn

---

From: "Anurag Bhargava (RL/TNT)" <[email-masked]>
Date: Mon, 30 Jul 2007 10:14:03 -0500

Anna,
 As mentioned in other email thread by Georgios that we are in the
process of preparing the next version of
draft-westberg-pcn-load-control.
 
I was thinking of comparing (differences) various schemes mainly at the
following three points in three subsections:
   - Ingress Node
   - Interior Node
   - Egress Node

Then, a subsection for each scheme stating their benefits/drawbacks.

We will provide our take after submitting the next version of LC which
should be soon. I know we were talking about setting Sept as a temporary
deadline for this work. Do you want to suggest any specific deadline
when to receive feedback from various schemes for the consolidation
draft?

BR,
Anurag

> -----Original Message-----
> From: Anna Charny (acharny) [mailto:[email-masked]] 
> Sent: Thursday, July 26, 2007 11:43 AM
> To: PCN IETF list
> Subject: [PCN] A draft consolidating different PCN proposals
> 
> Hi all,
> 
> Following the discussion in the PCN WG meeting yesterday and 
> as a result of follow-up hallway discussions, the authors of 
> various proposals seem to have come up with a common language 
> to describe all the different PCN proposals and a preliminary 
> view on their relative cons and pros.  I have volunteered to 
> produce a consolidated draft which will attempt to discuss 
> all current proposals in the same framework and take the 
> first cut on comparison criteria and how it is met by 
> different approaches.  
> 
> We already have a number of comparison criteria loosely used 
> in discussions.  I am requesting feedback from the list with 
> suggestions for specific performance criteria suggestions. 
> Those who have already sent those to me privately may wish to 
> resend them to the list. 
> 
> I am also requesting that the authors of each proposed 
> mechanism send their view of the cons and pros they see of 
> their specific approach (functional, deployment, performance, 
> etc). Of course similar feedback is also welcome from the entire list.
> 
> Thank you,
> Anna 
> 
>  
> 
>

---

From: "Anna Charny \(acharny\)" <[email-masked]>
Date: Mon, 30 Jul 2007 12:05:47 -0400

Hi Anurag,

Thanks. I think the first and very important step would be to get the
second version of the draft so the algorithmic details become clearer.
We can worry about comparisons later - it is most important that the
details of all proposals are clarified first.  

There are many comparison criteria to be used.  Some ofthem are
functional as you suggest, some are performance-related, etc.  So yes,
please do provide your view on what you feel are important benefits.

On your question about the timeline:  September will probably still be
all right, although it would really be helpful if algorithmic details of
the draft-westberg proposal are clarified before that (e.g. mid-August
if at all possible?).  One way to do so would be by email (e.g.
answering some of the questions that I asked on the list).  The sooner
we get clarity on the algorithmic details, the sooner it will be
possible to start on the comparison draft.

Thank you,
Anna 

> From: Anurag Bhargava (RL/TNT) [mailto:[email-masked]] 
> Sent: Monday, July 30, 2007 11:14 AM
> To: Anna Charny (acharny); PCN IETF list
> Subject: RE: [PCN] A draft consolidating different PCN proposals
> 
> Anna,
>  As mentioned in other email thread by Georgios that we are 
> in the process of preparing the next version of 
> I was thinking of comparing (differences) various schemes 
> mainly at the following three points in three subsections:
>    - Ingress Node
>    - Interior Node
>    - Egress Node
> 
> We will provide our take after submitting the next version of 
> LC which should be soon. I know we were talking about setting 
> Sept as a temporary deadline for this work. Do you want to 
> suggest any specific deadline when to receive feedback from 
> various schemes for the consolidation draft?
> 
> BR,
> Anurag
> 
> > Following the discussion in the PCN WG meeting yesterday and as a 
> > result of follow-up hallway discussions, the authors of various 
> > proposals seem to have come up with a common language to 
> describe all 
> > the different PCN proposals and a preliminary view on their 
> relative 
> > cons and pros.  I have volunteered to produce a consolidated draft 
> > which will attempt to discuss all current proposals in the same 
> > framework and take the first cut on comparison criteria and 
> how it is 
> > met by different approaches.
> > 
> > for specific performance criteria suggestions.
> > Those who have already sent those to me privately may wish 
> to resend 
> > them to the list.
> > 
> mechanism send